﻿<!DOCTYPE html>

<html lang="fa">
<head>
    @using shop.Models
    
    @{ 
        DatabaseContext db = new DatabaseContext();
        var user = db.Users.FirstOrDefault(u => u.UserMobile == User.Identity.Name);

    }
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width" />
    <link href="~/Content/bootstrap/css/bootstrap.rtl.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css"
          integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous" />
    <link href="~/Content/main.css" rel="stylesheet" />
    <title>@ViewBag.Title</title>
</head>
<body>

    <nav class="navbar navbar-expand-md navbar-light">
        <button class="navbar-toggler mr-auto mb-2 bg-light" type="button" data-toggle="collapse"
                data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation"></button>
        <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-3 col-lg-3 col-xl-2 sidebar fixed-top">
                        <a class="navbar-brand font-weight-bold text-dark d-block mx-auto text-center py-3 mb-3 border-bottom">
                            ERFANH.DEV
                        </a>
                        @if (user.Role.Rolename == "admin")
                        {
                    <ul class="navbar-nav flex-column mt-4 p-0">
                        <li class="nav-item">
                            <a href="/Admin/Default/Index" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-home text-light fa-lg ml-3"></i> داشبورد
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/Admin/Default/SiteSetting" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-cog text-light fa-lg ml-3"></i> تنظیمات
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/Admin/Default/SmsSetting" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-sms text-light fa-lg ml-3"></i> تنظیمات پیامک
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/Admin/Social/Index" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-share-alt-square text-light fa-lg ml-3"></i> شبکه های اجتماعی
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="/Admin/Users" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-user-plus text-light fa-lg ml-3"></i> کاربران
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="/Admin/Menus" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-list text-light fa-lg ml-3"></i> منو
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="/Admin/Sliders" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-image text-light fa-lg ml-3"></i> اسلایدر
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="/Admin/Groups" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-users text-light fa-lg ml-3"></i> گروه ها
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="/Admin/Brands" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-bookmark text-light fa-lg ml-3"></i> برندها
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="/Admin/Products" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-archive text-light fa-lg ml-3"></i> محصولات
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="/Admin/Feilds" class="nav-link text-left text-white font-weight-bold sidebar-link p-2 mb-2 ">
                                <i class="fas fa-th-list text-light fa-lg ml-3"></i> مشخصه ها
                            </a>
                        </li>

                    </ul>
                        }
                        else
                        {
                            <ul class="navbar-nav flex-column mt-4 p-0">
                                <li class="nav-item">
                                    <a href="/Profile/Index" class="nav-link text-left text-white sidebar-link p-2 mb-2 ">
                                        <i class="fas fa-home text-light fa-lg ml-3"></i> داشبورد
                                    </a>
                                </li>

                                <li class="nav-item">
                                    <a href="/Addresses" class="nav-link text-left text-white sidebar-link p-2 mb-2 ">
                                        <i class="fas fa-address-card text-light fa-lg ml-3"></i> آدرس های من
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="/Profile/ChangePassword" class="nav-link text-left text-white sidebar-link p-2 mb-2 ">
                                        <i class="fas fa-key text-light fa-lg ml-3"></i> تغییر کلمه عبور
                                    </a>
                                </li>


                            </ul>
                        }

                    </div>
                    <div class="col-md-9 col-lg-9 col-xl-10 top-navbar ml-auto bg-dark fixed-top py-2">
                        <div class="row align-items-center">
                            <div class="col-md-6">
                                @if (user.Role.Rolename == "admin")
                                {
                                    <h4 class="text-white mb-0">داشبورد</h4>
                                }
                                else
                                {
                                    <h4 class="text-white mb-0">پروفایل کاربری</h4>
                                }

                            </div>

                            <div class="col-md-6 ">
                                <ul class="navbar-nav ">
                                    <li class="navbar-item ml-auto ">
                                        <a class="nav-link" href="~/Account/SignOut">
                                            <i class="fas fa-sign-out-alt fa-lg  color-sign-out"></i>
                                        </a>
                                    </li>
                                    @if (user.Role.Rolename == "admin")
                                    {
                                        <li class="navbar-item  ml-2">
                                            <a class="nav-link" href="~/Profile/ChangePassword">
                                                <i class="fas fa-key fa-lg  color-sign-out"></i>
                                            </a>
                                        </li>
                                    }


                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </nav>


    <section class="section">
        <div class="container-fluid">
            <div class="row">
                <div class="col-xl-10 col-lg-6 col-md-6 ml-auto">
                    <div class="row pt-md-5 mb-md-5">

                        <div class="col-xl-12 col-lg-12 col-md-12 p-3">
                            @RenderBody()
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>




    <script src="~/Content/jquery/jquery.js"></script>
    <script src="~/Content/bootstrap/js/bootstrap.js"></script>
    @RenderSection("ckeditorsection", false)
    @RenderSection("scriptmodal", false)
</body>
</html>
